# Detokenisation Profile

## Detokenisation Profiles

Same as a Tokenisation Profiles a Detokenisation Profile is used to extract Credit Card info from messages coming from 3rd party service into your application, Detokenisation Profiles describe how to insert real Credit Card data back into your messages that are going to 3rd party services.

{% hint style="info" %}
You will typically use detokenisation to send the card details to a payment gateway.
{% endhint %}

Detokenisation Profiles are used with the secure domain feature. Usually you will have one Detokenization profile per application.

**Detokenization Profile Structure**

```
{
  "id": "441928a5-6cf6-4735-ae95-8b1a27178d1c",
  "type": "detokenization_profile",
  "attributes": {
    "id": "441928a5-6cf6-4735-ae95-8b1a27178d1c",
    "name": "sample",
    "profile": {
      "type": "json",
      "schema": {
        "message_node": "$.data",
        "card_node": "attributes.guarantee",
        "card_token_node": "token"
      },
      "target_card_node": "card_node",
      "card_node": {
        "card_number": "%CARD_NUMBER%",
        "cardholder_name": "%CARDHOLDER_NAME%",
        "expiration_month": "%EXPIRATION_MM%",
        "expiration_year": "%EXPIRATION_YYYY%",
        "cvv": "%SERVICE_CODE%"
      },
    },
    "created_at": "2020-06-08T05:49:10.979Z",
    "updated_at": "2020-06-08T05:49:10.979Z"
  }
}
```

`id` - unique identifier based at UUID v4\
`name` - URL-safe profile name\
`type` - type of message content (JSON or XML)\
`schema` - information where to find card token\
`target_card_node` - relative selector to insert card information\
`card_node` - card node structure description with Drop Ins


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vaultera.co/detokenisation-profile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
